<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <link href="monstyle.css" rel="stylesheet" type="text/css" />
        <title>eMarket - ShoppingCart</title>
    </h:head>
    <h:body>
        <f:view>
            <h1>eMarket - ShoppingCart</h1>
            <h:outputText value="Bienvenue sur l'application de commande en ligne eMarket."/>
            <br/><br/>
            <h:dataTable value="#{shoppingCartManager.shoppingList}" var="item"> 
                <h:column>
                    <f:facet name="header">Quantité</f:facet>
                    <h:outputText value="#{item.quantity}" />
                </h:column>
                <h:column>
                    <f:facet name="header">Nom</f:facet>
                    <h:outputText value="#{item.product.name}" />
                </h:column>
                <h:column>
                    <h:form>
                        <h:commandButton value="Supprimer du panier" action="#{shoppingCartManager.removeFromCart()}">
                            <f:setPropertyActionListener value="#{item}" target="#{shoppingCartManager.itemToChange}" />
                        </h:commandButton>
                    </h:form>
                </h:column>
                <h:column>
                    <h:form>
                        <h:commandButton value="+" action="#{shoppingCartManager.plusQuantity()}">
                            <f:setPropertyActionListener value="#{item}" target="#{shoppingCartManager.itemToChange}" />
                        </h:commandButton>
                    </h:form>
                </h:column>
                <h:column>
                    <h:form>
                        <h:commandButton value="-" action="#{shoppingCartManager.minusQuantity()}">
                            <f:setPropertyActionListener value="#{item}" target="#{shoppingCartManager.itemToChange}" />
                        </h:commandButton>
                    </h:form>
                </h:column>
            </h:dataTable>
            <br />
            <h:outputText value="Le total de votre commande est : #{shoppingCartManager.totalPrice}"/>
            <br /><br />
            <h:form>
                <h:commandLink action="shoppingCartToHome">
                <h:outputText value="Lien vers la page d'accueil" styleClass="coralLink"/> </h:commandLink>
            </h:form>
        </f:view>
    </h:body>
</html>
